Samba is dependent on X11?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 15 of 15
  1. #1
    devjonfos Guest

    Exclamation Samba is dependent on X11?

    Just upgraded from FC3 to FC4. Samba is dependent on X11? I don't remember this being the case in FC3.

    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size 
    =============================================================================
    Installing:
     samba                   i386       3.0.14a-2        base               14 M
    Installing for dependencies:
     cups-libs               i386       1:1.1.23-15      base              113 k
     freeglut                i386       2.2.0-16         base              123 k
     libtiff                 i386       3.7.1-6          base              298 k
     samba-common            i386       3.0.14a-2        base              5.7 M
     xorg-x11-Mesa-libGL     i386       6.8.2-37         updates-released  202 k
     xorg-x11-Mesa-libGLU    i386       6.8.2-37         updates-released  273 k
     xorg-x11-libs           i386       6.8.2-37         updates-released  2.5 M
    
    Transaction Summary
    =============================================================================
    Install      8 Package(s)         
    Update       0 Package(s)         
    Remove       0 Package(s)         
    Total download size: 23 M
    Is this ok [y/N]: y
    I'm trying to run a minimal server without any extra packages. I don't use X11. Is there some way to install Samba and not install the X11 libraries?

  2. #2
    Join Date
    Nov 2004
    Location
    Seymour, Indiana
    Posts
    2,509
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    News to me too. Some of these rpm's can be pain for no gui users since they were compiled and built on gui systems. I did a quick look over some my samba rpms and really did not see anything odd. But I would say if you either get the source or source rpm and build it yourself that it should work. When you have many dependenecies you are better off getting the source rpm and build the rpm to match your system. Check out rpmbuild command.

    Brian1

  3. #3
    devjonfos Guest

    I was trying to run a minimal server!

    I was trying to run a minimal server with no gui. But somehow in upgrading from FC3 to FC4 I got a boatload of dependencies. I think mainly from X11. Here's the initial removal list when I wanted to remove the X11 libs:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size 
    =============================================================================
    Removing:
     xorg-x11-Mesa-libGL     i386       6.8.2-31         installed         450 k
     xorg-x11-Mesa-libGLU    i386       6.8.2-31         installed         511 k
     xorg-x11-font-utils     i386       6.8.2-31         installed         219 k
     xorg-x11-libs           i386       6.8.2-31         installed         7.0 M
     xorg-x11-xauth          i386       6.8.2-31         installed          52 k
     xorg-x11-xfs            i386       6.8.2-31         installed         112 k
    Removing for dependencies:
     GConf2                  i386       2.10.0-4         installed         4.0 M
     authconfig-gtk          i386       4.6.12-1         installed         131 k
     chkfontpath             i386       1.10.0-4         installed          12 k
     cups                    i386       1:1.1.23-15      installed         3.9 M
     cups-libs               i386       1:1.1.23-15      installed         196 k
     freeglut                i386       2.2.0-16         installed         359 k
     gail                    i386       1.8.3-2          installed         1.0 M
     ghostscript             i386       7.07-40          installed          24 M
     ghostscript-fonts       noarch     5.50-13          installed         1.4 M
     gnome-keyring           i386       0.4.2-1          installed         558 k
     gnome-python2           i386       2.10.0-1         installed         548 k
     gnome-python2-bonobo    i386       2.10.0-1         installed         150 k
     gnome-python2-canvas    i386       2.10.0-1         installed          36 k
     gnome-python2-extras    i386       2.10.0-2.1       installed          93 k
     gnome-python2-gnomevfs  i386       2.10.0-1         installed         112 k
     gnome-python2-gtkhtml2  i386       2.10.0-2.1       installed          17 k
     gnome-vfs2              i386       2.10.0-5         installed         3.9 M
     gtk2                    i386       2.6.7-4          installed          13 M
     gtkhtml2                i386       2.6.3-1          installed         369 k
     libbonoboui             i386       2.8.1-4          installed         1.1 M
     libglade2               i386       2.5.1-2          installed         248 k
     libgnome                i386       2.10.0-3         installed         2.8 M
     libgnomecanvas          i386       2.10.0-1         installed         748 k
     libgnomeui              i386       2.10.0-1         installed         2.8 M
     libtiff                 i386       3.7.1-6          installed         707 k
     libwnck                 i386       2.10.0-3         installed         406 k
     pango                   i386       1.8.1-2          installed         659 k
     pygtk2                  i386       2.6.0-2          installed         2.8 M
     pygtk2-libglade         i386       2.6.0-2          installed          15 k
     redhat-lsb              i386       1.3-10           installed          17 k
     samba                   i386       3.0.14a-2        installed          24 M
     samba-client            i386       3.0.14a-2        installed         6.9 M
     samba-common            i386       3.0.14a-2        installed          15 M
     startup-notification    i386       0.8-2            installed          61 k
     synaptics               i386       0.14.0-2         installed         101 k
     system-config-httpd     noarch     5:1.3.2-2        installed         1.6 M
     system-config-keyboard  noarch     1.2.6-2          installed         134 k
     system-config-language  noarch     1.1.9-2          installed          99 k
     system-config-network   noarch     1.3.26-1         installed         2.1 M
     system-config-nfs       noarch     1.3.10-1         installed         399 k
     system-config-packages  noarch     1.2.25-1         installed         1.1 M
     system-config-printer   i386       0.6.131-1        installed         2.2 M
     system-config-printer-gui  i386       0.6.131-1        installed         440 k
     system-config-rootpassword  noarch     1.1.7-2          installed          86 k
     system-config-samba     noarch     1.2.31-1         installed         696 k
     system-config-securitylevel  i386       1.5.8-1          installed         1.3 M
     system-config-services  noarch     0.8.25-1         installed         349 k
     system-config-soundcard  noarch     1.2.11-5         installed         1.3 M
     system-config-users     noarch     1.2.38-1         installed         1.1 M
     system-logviewer        noarch     0.9.11-1         installed         877 k
     urw-fonts               noarch     2.3-1            installed         5.7 M
     usermode-gtk            i386       1.80-1           installed         198 k
    
    Transaction Summary
    =============================================================================
    Install      0 Package(s)         
    Update       0 Package(s)         
    Remove      58 Package(s)         
    Total download size: 0
    But unfortunately that also removed Samba.

    Now I put back Samba and now when I do a yum check-update:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size 
    =============================================================================
    Updating:
     NetworkManager          i386       0.4-18.FC4       updates-released  181 k
     gamin                   i386       0.1.1-1.FC4      updates-released  101 k
     gawk                    i386       3.1.4-5.2        updates-released  1.7 M
     hwdata                  noarch     0.158.1-1        updates-released  257 k
     libpcap                 i386       14:0.8.3-13.FC4  updates-released  187 k
     ncftp                   i386       2:3.1.9-1        extras            507 k
     parted                  i386       1.6.22-3.FC4     updates-released  524 k
     screen                  i386       4.0.2-9          base              544 k
     selinux-policy-targeted  noarch     1.23.18-12       updates-released  725 k
     sudo                    i386       1.6.8p8-2.2      updates-released  184 k
     system-config-securitylevel  i386       1.5.8.1-1        updates-released  376 k
     system-config-securitylevel-tui  i386       1.5.8.1-1        updates-released  361 k
     tcpdump                 i386       14:3.8.2-13.FC4  updates-released  367 k
     tripwire                i386       2.3.1-22         extras            1.8 M
     util-linux              i386       2.12p-9.5        updates-released  1.6 M
    Installing for dependencies:
     gtk2                    i386       2.6.7-4          base              4.7 M
     pango                   i386       1.8.1-2          base              272 k
     pygtk2                  i386       2.6.0-2          base              904 k
    
    Transaction Summary
    =============================================================================
    Install      3 Package(s)         
    Update      15 Package(s)         
    Remove       0 Package(s)         
    Total download size: 15 M
    Is this ok [y/N]: n
    gtk2? pango? pygtk2?

    What next!?

  4. #4
    mr700 Guest

    Post

    Quote Originally Posted by devjonfos
    ...
    gtk2? pango? pygtk2?

    What next!?
    Remove all system-config-WHATEVER except system-config-keyborad/mouse I think. There was a kickstart file for minimal (really, ~ 500MB) install somewhere in CentOS's site.

  5. #5
    devjonfos Guest
    I decided to try Brian1's suggestion and compile Samba from source rpm even though I've never compiled a source rpm before.

    First I removed xorg-x11-libs and the unwanted dependencies:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Removing:
     xorg-x11-libs           i386       6.8.2-37.FC4.49.2.1  installed         6.9 M
    Removing for dependencies:
     GConf2                  i386       2.10.0-4         installed         4.0 M
     authconfig-gtk          i386       4.6.12-2         installed         130 k
     chkfontpath             i386       1.10.0-4         installed          12 k
     cups                    i386       1:1.1.23-15.4    installed         3.9 M
     cups-libs               i386       1:1.1.23-15.4    installed         194 k
     freeglut                i386       2.2.0-16         installed         359 k
     gail                    i386       1.8.3-2          installed         1.0 M
     gd                      i386       2.0.33-2         installed         549 k
     ghostscript             i386       7.07-41          installed          24 M
     ghostscript-fonts       noarch     5.50-13          installed         1.4 M
     gnome-keyring           i386       0.4.2-1          installed         558 k
     gnome-python2           i386       2.10.0-1         installed         548 k
     gnome-python2-bonobo    i386       2.10.0-1         installed         150 k
     gnome-python2-canvas    i386       2.10.0-1         installed          36 k
     gnome-python2-extras    i386       2.10.0-6         installed          93 k
     gnome-python2-gnomevfs  i386       2.10.0-1         installed         112 k
     gnome-python2-gtkhtml2  i386       2.10.0-6         installed          18 k
     gnome-vfs2              i386       2.10.0-5         installed         3.9 M
     gtk2                    i386       2.6.10-2.fc4.4   installed          13 M
     gtkhtml2                i386       2.6.3-1          installed         369 k
     hal-cups-utils          i386       0.5.3-3          installed          80 k
     hicolor-icon-theme      noarch     0.8-2            installed          10 k
     libbonoboui             i386       2.8.1-4          installed         1.1 M
     libglade2               i386       2.5.1-2          installed         248 k
     libgnome                i386       2.10.0-3         installed         2.8 M
     libgnomecanvas          i386       2.10.0-1         installed         748 k
     libgnomeui              i386       2.10.0-1         installed         2.8 M
     libtiff                 i386       3.7.1-6.fc4.2    installed         710 k
     libwnck                 i386       2.10.3-1         installed         414 k
     pango                   i386       1.8.1-2          installed         659 k
     pygtk2                  i386       2.6.2-0.fc4.4    installed         3.0 M
     pygtk2-libglade         i386       2.6.2-0.fc4.4    installed          16 k
     redhat-lsb              i386       1.3-10           installed          17 k
     samba                   i386       3.0.14a-2        installed          24 M
     samba-client            i386       3.0.14a-2        installed         6.9 M
     samba-common            i386       3.0.14a-2        installed          15 M
     startup-notification    i386       0.8-2            installed          61 k
     system-config-date      noarch     1.8.3-0.fc4.1    installed         2.7 M
     system-config-httpd     noarch     5:1.3.2-2        installed         1.6 M
     system-config-keyboard  noarch     1.2.6-2          installed         134 k
     system-config-language  noarch     1.1.9-2          installed          99 k
     system-config-lvm       noarch     0.9.32-1.0       installed         647 k
     system-config-network   noarch     1.3.26-1         installed         2.1 M
     system-config-nfs       noarch     1.3.19-0.fc4.2   installed         522 k
     system-config-packages  noarch     1.2.25-1         installed         1.1 M
     system-config-printer   i386       0.6.131.3-1      installed         2.2 M
     system-config-printer-gui  i386       0.6.131.3-1      installed         440 k
     system-config-rootpassword  noarch     1.1.7-2          installed          86 k
     system-config-samba     noarch     1.2.31-1         installed         696 k
     system-config-securitylevel  i386       1.5.8.1-1        installed         1.3 M
     system-config-services  noarch     0.9.0-0.fc4.1    installed         444 k
     system-config-soundcard  noarch     1.2.12-5.FC4     installed         1.3 M
     system-config-users     noarch     1.2.41-0.fc4.1   installed         1.0 M
     urw-fonts               noarch     2.3-1            installed         5.7 M
     usermode-gtk            i386       1.80-1           installed         198 k
     webalizer               i386       2.01_10-28       installed         244 k
     xorg-x11-Mesa-libGL     i386       6.8.2-37.FC4.49.2.1  installed         448 k
     xorg-x11-Mesa-libGLU    i386       6.8.2-37.FC4.49.2.1  installed         510 k
     xorg-x11-font-utils     i386       6.8.2-37.FC4.49.2.1  installed         218 k
     xorg-x11-xauth          i386       6.8.2-37.FC4.49.2.1  installed          52 k
     xorg-x11-xfs            i386       6.8.2-37.FC4.49.2.1  installed         111 k
    
    Transaction Summary
    =============================================================================
    Install      0 Package(s)         
    Update       0 Package(s)         
    Remove      62 Package(s)         
    Total download size: 0
    Is this ok [y/N]: y
    Then I retrieved the source rpm from samba.org.

    I then proceeded to unpack and compile the source with the following commands:
    Code:
    rpm -Uvh samba-3.0.23b-1.src.rpm
    cd /usr/src/redhat/SPECS
    rpmbuild -ba samba.spec
    Which failed because I didn't have "rpmbuild" from "fedora-rpmdevtools" installed.

    Fixing that, I tried again and it failed again because of the following dependencies:
    Code:
    pam-devel
    readline-devel
    libacl-devel
    openldap-devel
    cups-devel
    Fixing that ...
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Installing:
     cups-devel              i386       1:1.1.23-15.4    updates-released  149 k
     libacl-devel            i386       2.2.32-1.FC4.2   updates-released   79 k
     openldap-devel          i386       2.2.29-1.FC4     updates-released  1.4 M
     pam-devel               i386       0.79-9.6         updates-released   87 k
     readline-devel          i386       5.0-3            base              128 k
    Installing for dependencies:
     Glide3                  i386       20050815-1.fc4   extras            677 k
     Glide3-libGL            i386       6.2.1-5.fc4      extras            809 k
     cups-libs               i386       1:1.1.23-15.4    updates-released  113 k
     cyrus-sasl-devel        i386       2.1.20-6         updates-released  1.4 M
     freeglut                i386       2.2.0-16         base              123 k
     libattr-devel           i386       2.4.24-1.FC4.1   updates-released   29 k
     libtermcap-devel        i386       2.0.8-41         base               54 k
     libtiff                 i386       3.7.1-6.fc4.2    updates-released  299 k
     xorg-x11-Mesa-libGLU    i386       6.8.2-37.FC4.49.2.1  updates-released  278 k
     xorg-x11-libs           i386       6.8.2-37.FC4.49.2.1  updates-released  2.5 M
    
    Transaction Summary
    =============================================================================
    Install     15 Package(s)         
    Update       0 Package(s)         
    Remove       0 Package(s)         
    Total download size: 8.1 M
    Is this ok [y/N]: y
    I tried again and source compilation completed without error.

    I then removed the source rpm build dependencies:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Removing:
     autoconf                noarch     2.59-5           installed         1.7 M
     cpp                     i386       4.0.2-8.fc4      installed         4.5 M
     fedora-rpmdevtools      noarch     1.6-1.fc4        installed         105 k
     gcc-c++                 i386       4.0.2-8.fc4      installed         5.4 M
     glibc-kernheaders       i386       2.4-9.1.94       installed         2.1 M
     libstdc++-devel         i386       4.0.2-8.fc4      installed          44 M
     redhat-rpm-config       noarch     8.0.34-1.1       installed         103 k
     rpm-build               i386       4.4.1-23         installed         1.9 M
    Removing for dependencies:
     gcc                     i386       4.0.2-8.fc4      installed         5.1 M
     glibc-devel             i386       2.3.6-3          installed         4.3 M
     glibc-headers           i386       2.3.6-3          installed         2.0 M
    
    Transaction Summary
    =============================================================================
    Install      0 Package(s)         
    Update       0 Package(s)         
    Remove      11 Package(s)         
    Total download size: 0
    Is this ok [y/N]: y
    I then installed the newly built rpm's:
    Code:
    cd /usr/src/redhat/RPMS/i386
    rpm -Uvh samba-common-3.0.23b-1.i386.rpm
    rpm -Uvh samba-3.0.23b-1.i386.rpm
    Finally, I configured samba (/etc/samba) and started the service. So far, all works.

    My question then is: Why does building from source rpm remove the X11 and other dependencies?

    Looking in /usr/lib and /usr/X11R6/lib, I still seem to have some of the dependent libraries.

  6. #6
    Join Date
    Nov 2004
    Location
    MT USA
    Posts
    1,236
    Mentioned
    4 Post(s)
    Tagged
    0 Thread(s)
    Did you try to just load the rpm's directly from the fedora update site rather than using yum?

    http://download.fedora.redhat.com/pu.../core/updates/

  7. #7
    Join Date
    May 2004
    Location
    Mexico City, Mexico
    Age
    43
    Posts
    4,428
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I may be wrong here, but I believe that samba-common does not require X or anything, but samba-client does... In any case, it should be brought to the attention of the packagers, so if you could post a bugzilla about this issue, I'm sure it will be most appreciated by them.
    If ain't broken, don't fix it! :eek:
    If can be improved, go for it! :cool:

    FedoraForum Community forums lurker.
    Fedora user since RHL 5.2 :cool:

  8. #8
    devjonfos Guest
    Quote Originally Posted by rclark
    Did you try to just load the rpm's directly from the fedora update site rather than using yum?
    No, I did not. But wouldn't the dependencies still be there regardless of whether I used yum or not?

  9. #9
    devjonfos Guest
    Quote Originally Posted by Thetargos
    I may be wrong here, but I believe that samba-common does not require X or anything, but samba-client does... In any case, it should be brought to the attention of the packagers, so if you could post a bugzilla about this issue, I'm sure it will be most appreciated by them.
    How does one single out a package and find its dependencies, other than trying to install it?

  10. #10
    Join Date
    May 2004
    Location
    Mexico City, Mexico
    Age
    43
    Posts
    4,428
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    With yum, I'm not sure if it is as "simple" as with plain old RPM:
    Code:
    rpm --requires <package name>
    Which shows what packages are required to install <package name>.
    Do not confuse with:
    Code:
    rpm --whatrequires <package name>
    Which will list the packages requiring <package name> as a dep!
    If ain't broken, don't fix it! :eek:
    If can be improved, go for it! :cool:

    FedoraForum Community forums lurker.
    Fedora user since RHL 5.2 :cool:

  11. #11
    devjonfos Guest
    Quote Originally Posted by Thetargos
    With yum, I'm not sure if it is as "simple" as with plain old RPM:
    Code:
    rpm --requires <package name>
    Which shows what packages are required to install <package name>.
    Do not confuse with:
    Code:
    rpm --whatrequires <package name>
    Which will list the packages requiring <package name> as a dep!
    Okay, if I'm understanding this right...if I use
    Code:
    cd /usr/src/redhat/RPMS/i386
    rpm --query --requires --package samba*.rpm | grep -i 'libX\|X11'
    I should see some sort of X11 dependencies?

    The "samba*.rpm" refers to /usr/src/redhat/RPMS/i386 where the new samba packages are.
    Code:
    samba-3.0.23b-1.i386.rpm
    samba-client-3.0.23b-1.i386.rpm
    samba-common-3.0.23b-1.i386.rpm
    samba-debuginfo-3.0.23b-1.i386.rpm
    samba-doc-3.0.23b-1.i386.rpm
    samba-swat-3.0.23b-1.i386.rpm
    Anyway, the output of the rpm --query is nada.

  12. #12
    devjonfos Guest

    Lightbulb Lightbulb!

    This is interesting. I thought I removed "xorg-x11-libs", but doing some investigating and running some rpm package queries, I saw x11 listed. So then I did a "yum remove xorg-x11-libs" to see what would happen and look what came up:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Removing:
     xorg-x11-libs           i386       6.8.2-37.FC4.49.2.1  installed         6.9 M
    Removing for dependencies:
     Glide3                  i386       20050815-1.fc4   installed         1.6 M
     Glide3-libGL            i386       6.2.1-5.fc4      installed         2.3 M
     cups-libs               i386       1:1.1.23-15.4    installed         194 k
     freeglut                i386       2.2.0-16         installed         359 k
     libtiff                 i386       3.7.1-6.fc4.2    installed         710 k
     samba                   i386       3.0.23b-1        installed          13 M
     xorg-x11-Mesa-libGLU    i386       6.8.2-37.FC4.49.2.1  installed         510 k
    
    Transaction Summary
    =============================================================================
    Install      0 Package(s)
    Update       0 Package(s)
    Remove       8 Package(s)
    Total download size: 0
    Is this ok [y/N]: N
    Apparently, these libs were installed when I installed the pam-devel, readline-devel, libacl-devel, openldap-devel, and cups-devel; but when I uninstalled the "devils" the libs hung around. Which is probably why my samba source packages installed without complaining about X11 dependencies.

    Hmmm...I feel like a dog chasing his tail.
    Last edited by devjonfos; 23rd August 2006 at 07:08 PM.

  13. #13
    Join Date
    May 2005
    Posts
    3,868
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by devjonfos
    Just upgraded from FC3 to FC4. Samba is dependent on X11? I don't remember this being the case in FC3.

    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size 
    =============================================================================
    Installing:
     samba                   i386       3.0.14a-2        base               14 M
    Installing for dependencies:
     cups-libs               i386       1:1.1.23-15      base              113 k
     freeglut                i386       2.2.0-16         base              123 k
     libtiff                 i386       3.7.1-6          base              298 k
     samba-common            i386       3.0.14a-2        base              5.7 M
     xorg-x11-Mesa-libGL     i386       6.8.2-37         updates-released  202 k
     xorg-x11-Mesa-libGLU    i386       6.8.2-37         updates-released  273 k
     xorg-x11-libs           i386       6.8.2-37         updates-released  2.5 M
    
    Transaction Summary
    =============================================================================
    Install      8 Package(s)         
    Update       0 Package(s)         
    Remove       0 Package(s)         
    Total download size: 23 M
    Is this ok [y/N]: y
    I'm trying to run a minimal server without any extra packages. I don't use X11. Is there some way to install Samba and not install the X11 libraries?
    Seems like a packaging bug. I have posted a mail to fedora-devel list.
    Rahul
    http://fedoraproject.org/wiki/RahulSundaram

  14. #14
    Join Date
    May 2005
    Posts
    3,868
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Quote Originally Posted by RahulSundaram
    Seems like a packaging bug. I have posted a mail to fedora-devel list.

    Ok. This has been fixed in FC5 and above releases as I have just confirmed.

    http://bugzilla.redhat.com/bugzilla/....cgi?id=190768
    Rahul
    http://fedoraproject.org/wiki/RahulSundaram

  15. #15
    devjonfos Guest

    Smile Thank you!

    Quote Originally Posted by RahulSundaram
    Ok. This has been fixed in FC5 and above releases as I have just confirmed.

    http://bugzilla.redhat.com/bugzilla/....cgi?id=190768
    From bug 190768:

    I noticed it when I installed samba on a fileserver, and saw it trying to pull
    in GL libraries on a headless box via samba-common->cups-libs->libtiff->mesa-libGL
    Yep, that's the culprit:
    Code:
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Removing:
     xorg-x11-Mesa-libGLU    i386       6.8.2-37.FC4.49.2.1  installed         510 k
    Removing for dependencies:
     cups-libs               i386       1:1.1.23-15.4    installed         194 k
     freeglut                i386       2.2.0-16         installed         359 k
     libtiff                 i386       3.7.1-6.fc4.2    installed         710 k
     samba                   i386       3.0.23b-1        installed          13 M
    
    Transaction Summary
    =============================================================================
    Install      0 Package(s)
    Update       0 Package(s)
    Remove       5 Package(s)
    Total download size: 0
    Is this ok [y/N]: N
    Thank you Rahul!
    Last edited by devjonfos; 23rd August 2006 at 08:57 PM.

Similar Threads

  1. Trying to install dependent packages fro oracle 11g DB
    By kohsa in forum Installation, Upgrades and Live Media
    Replies: 1
    Last Post: 27th February 2009, 10:36 PM
  2. id3 and id3-dependent packages are back.
    By fedora-package-announce-admin@fedora.us in forum Advisories & Updates
    Replies: 0
    Last Post: 30th October 2003, 12:42 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •